Ankündigung

Einklappen
Keine Ankündigung bisher.

Neuinstallation + weisse Seite

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    Neuinstallation + weisse Seite

    Guten Tag zusammen

    ich habe die Version 1.5 auf dem Server genau nach Anleitung installiert. Hat auch wunderbar und schnell geklappt.
    Ins Admin kann ich mich einloggen, funktioniert einwandfrei.

    Beim Aufrufen vom Shop bekomme ich leider eine weisse Seite zu sehen. :-(
    Im Log steht:
    [06-Apr-2013 07:31:31] PHP Warning: require(includes/languages//index.php) [<a href='function.require'>function.require</a>]: failed to open stream: No such file or directory in /home/www/web297/html/index.php on line 58
    [06-Apr-2013 07:31:31] PHP Warning: require(includes/languages//index.php) [<a href='function.require'>function.require</a>]: failed to open stream: No such file or directory in /home/www/web297/html/index.php on line 58
    [06-Apr-2013 07:31:31] PHP Fatal error: require() [<a href='function.require'>function.require</a>]: Failed opening required 'includes/languages//index.php' (include_path='.:/usr/local/php-5.2.17/lib/php') in /home/www/web297/html/index.php on line 58
    Was mich wundert: "languages//index.php" wieso ein // ?
    Im Ordner includes/languages liegt auch kein index.php (auch im Install-File ist die nicht)

    im File /html/index.php ab Zeile 57 steht:
    $language_page_directory = 'includes/languages/' . $language . '/';
    require($language_page_directory . $current_page . '.php');
    require('includes/languages/' . $language . '.php');
    Was muss ich wo ändern damit ich den Shop zu sehen bekomme?

    Vielen Dank für die Hilfe und ein schönes Wochenende wünscht
    ralf

    #2
    Überprüfe in der Administration unter Lokalisation > Sprachen, ob da wirklich bei Deutsch 43 als Ländercode, de als Code und german als Verzeichnis steht. Und bei englisch entsprechend 1 als Ländercode, en als Code und english als Verzeichnis.

    Kommentar


      #3
      Guten Tag webchills

      vielen Dank für Deine Bemühungen.

      Die Einstellungen sind genau so, dies wurde bei der Installation so eingetragen. Ausser den Shop - Daten habe ich noch nichts an diesem Shop gemacht oder geändert.

      Siehst Du noch einen Grund an was es liegen kann oder soll ich alles platt machen (inkl. DB) und nochmals installieren?

      Zusagen ist, dass bei der Installation 2 Punkte orange angezeigt wurden, die Installation aber ohne Probleme durch lief.
      Register Globals = EIN
      PHP open_basedir Einschränkungen = /usr/local/php/lib/php/:/home/www/:/usr/bin/:/tmp:/usr/local/php52/lib/php/
      Kann dies der "Hänger" sein?

      Ich wünsche einen schönen Tag
      ralf

      Kommentar


        #4
        Was ist das denn für ein Server?
        Um Zen Cart zuverlässig betreiben zu können:
        Register Globals Off
        Safe Mode Off

        Überprüfe noch mit phpMyAdmin in der Tabelle configuration den Wert beim configuration_key DEFAULT_LANGUAGE, möglicherweise wurde der bei der Installation nicht gesetzt. Muss de sein

        Kommentar


          #5
          Hallo webchills

          ganz vielen Dank für Deine unermüdliche Hilfe Rund um Zen-Cart.

          Der Server ist der gleiche wo "meine" 7 anderen Zen-Cart - Shop's (Version 1.3.9h (Multi-Server)) laufen und die ich in nächster Zeit umstellen muss.
          Der erste Shop unter 1.5 ist jedoch unabhängig davon ... völlig eigenständig, hat nichts mit den 7 zu tun.

          Die von Dir vorgeschlagene Überprüfung mache ich heute Nachmittag und melde mich dazu.

          Weiterhin einen schönen Tag und danke für die Hilfe.
          ralf

          PS
          Soll ich dem Hoster mitteilen er soll die Variablen
          Register Globals Off
          Safe Mode Off
          einstellen?

          Kommentar


            #6
            Hallo webchils

            Zitat von webchills Beitrag anzeigen
            Überprüfe noch mit phpMyAdmin in der Tabelle configuration den Wert beim configuration_key DEFAULT_LANGUAGE, möglicherweise wurde der bei der Installation nicht gesetzt. Muss de sein
            Ist es leider auch nicht. Bei "DEFAULT_LANGUAGE" steht 43 wechsle ich auf de kommt eine Fehlermeldung.

            Was nun?
            - alles platt machen und neu installieren wenn der Hoster die beiden Parameter geändert hat?

            Viele Grüsse und besten Dank
            ralf

            Kommentar


              #7
              Zitat von ralfisi Beitrag anzeigen
              Bei "DEFAULT_LANGUAGE" steht 43 wechsle ich auf de kommt eine Fehlermeldung.
              Gemeint ist:
              So muss es aussehen:
              Klicke auf die Grafik für eine vergrößerte Ansicht

Name: defaultlanguage.jpg
Ansichten: 1
Größe: 428,1 KB
ID: 102881

              Kommentar


                #8
                Hallo webchils

                danke, der Wert ist gleich. Einzigster Unterschied dass dies bei mir "configuration_id= 200 ist.

                Viele Grüsse
                ralf

                Kommentar


                  #9
                  Dann versteh ich das hier nicht:
                  "Bei "DEFAULT_LANGUAGE" steht 43 wechsle ich auf de kommt eine Fehlermeldung"

                  Kannst Du die Shopstartseite mal mit folgendem Link aufrufen?:
                  index.php?main_page=index&language=de
                  Zuletzt geändert von webchills; 06.04.2013, 16:48.

                  Kommentar


                    #10
                    Hallo webchils
                    da habe ich mich wohl irgendwie verhauen - tut mir leid.
                    Es steht in der betreffenden Zeile wirklich ein de drinn.

                    Rufe ich die Seite mit dem Parameter auf, bekomme ich auch eine weisse Seite und im log im Ordnder chache steht:
                    [06-Apr-2013 17:51:58] PHP Warning: require(includes/languages//index.php) [<a href='function.require'>function.require</a>]: failed to open stream: No such file or directory in /home/www/web297/html/index.php on line 58
                    [06-Apr-2013 17:51:58] PHP Warning: require(includes/languages//index.php) [<a href='function.require'>function.require</a>]: failed to open stream: No such file or directory in /home/www/web297/html/index.php on line 58
                    [06-Apr-2013 17:51:58] PHP Fatal error: require() [<a href='function.require'>function.require</a>]: Failed opening required 'includes/languages//index.php' (include_path='.:/usr/local/php-5.2.17/lib/php') in /home/www/web297/html/index.php on line 58
                    Wieso bin ich nach solanger Zeit der Version 1.5 mit dem Problem der Erste/Einzigste? Installation läuft ja sonst ohne Probleme. *grübel
                    Möchtest Du Server - Zugang haben?

                    Vielen Dank für Deine Bemühungen
                    ralf

                    Kommentar


                      #11
                      Mach lieber erst einmal eine Neuinstallation, das geht ja schnell.
                      Register Globals gehört wirklich auf Off, ich kenne keinen Hoster, der das noch standardmäßig auf On stehen hat. Falls in Deiner php info Safe Mode auf On steht, gehört der auch auf Off.

                      Kommentar


                        #12
                        Guten Morgen webchils

                        ich habe es dem Hoster mitgeteilt.
                        Sobald die Parameter umgestellt sind, mache ich die jetzige Installation platt und installiere neu.
                        Bin gespannt!

                        Klar könnte ich, wie bei den anderen Shop's, die Version 1.3.9.h installieren - will ich aber nicht.

                        Ich wünsche einen schönen Sonntag und grüsse
                        ralf

                        Kommentar


                          #13
                          Erledigt

                          Hallo webchils

                          zuerst Mal vielen Dank für Deine unermüdliche Hilfe und Deinen Einsatz!

                          Vom Hoster habe ich die Parameter umstellen lassen, alles auf dem Server gelöscht (auch die DB), dann alles aus dem Download wieder auf den Server gestellt, Installation gestartet .... "Blut + Wasser geschwitzt" (da ich noch einen Shop installieren sollte und wohl noch einen weiteren updaten darf).

                          Alles im "grünen Bereich"!! So wie man Zen-Cart kennt!!!!

                          Nochmals vielen Dank und eine schöne Woche
                          ralf

                          PS
                          Ev. sollte man diese Parameter ebenfalls im Test der Installation "härter" berücksichtigen?

                          Kommentar

                          Info zu diesem Forenarchiv:
                          Mit Release von 1.5.7 wurde die deutsche Zen Cart Version auf eine reine DIY-Lösung umgestellt.
                          Für einen Support via Forum stehen keine personellen und zeitlichen Ressourcen mehr zur Verfügung.
                          Dieses Supportforum bleibt im Nur-Lesen-Modus als Wissensarchiv noch online verfügbar.
                          PM Funktionalität, Registrierung und Posten neuer Beiträge sind deaktiviert.
                          Zugriff auf Anhänge in den Postings ist auch ohne Registrierung/Einloggen möglich.
                          FAQ und Downloadbereich des Forums wurden in die neue umfangreiche Knowledgebase auf der zen-cart-pro.at Website übernommen.

                          Das Development der deutschen Zen Cart Version geht wie bisher auf Github weiter.
                          Wir werden auch weiterhin neue Versionen bereitstellen und die Onlinedokumentation/Knowledgebase aktualisieren.
                          Fehler in der Software können auf Github als Issues gemeldet werden.
                          Follow us
                          aktuelle version
                          Zen Cart 1.5.7 deutsch
                          vom 20.05.2022
                          [Download]
                          Lädt...
                          X